Subject: Bug in coreutils version 8.7 sort on i386 (Leopard) macintosh system

From: Allen Delaney <[email-masked]>
Date: Fri, 24 Dec 2010 12:21:07 -0800

I upgraded to version 8.7 coreutils on several systems a few days ago.

Works fine on Snow Leopard (MACHTYPE = x86_64), but I think I've run  
into an obscure bug on Leopard (MACHTYPE = i386).

The test command is :

sort -u -s --key=1,1 sort_8.7_i386_bug_testdata > xxx

works with version 8.5, crashes with version 8.7, on i386 (Leopard)  
macintosh. Both versions work on x86_64 (snow leopard).

It requires a pretty big file. This file has 579k records. Subsets of  
400k or so records seem to work.

The test data file is available at :

ftp://ftp.bcgsc.ca/public/adelaney/sort_8.7_i386_bug_testdata

Happy Holidays....